2010-05-19  Ramon Novoa  <rnovoa@artica.es>

	* pandora_strutils.h, modules/pandora_module_odbc.h,
	  modules/pandora_data.h, build.sh, pandora.h,
	  udp_server/udp_server.h, Makefile.am: Small fixes so the agent
	  builds under newer versions of MinGW.
	
	* installer/pandora.mpi: Updated build.

2010-05-13  Ramon Novoa  <rnovoa@artica.es>

	* pandora_windows_service.cc: Check the return codee of the tentacle
	  client. Fixes bug #2972399.

2010-05-12  Ramon Novoa  <rnovoa@artica.es>

	* build.sh: Added to repository. Pandora Agent installer build script.

2010-04-23  Sancho Lerena <slerena@artica.es>

	* bin/pandora_agent.conf: Updated sample conf with some examples of
	inventory usage, and agent plugins (commented).

	* bin/util/df.vbs, bin/util/ps.vbs: Added flush in the end of each module

	* bin/util/logevent_log4x.vbs: New agent plugin to parse eventlog and
	generate a Log4x format.

2010-04-23  Ramon Novoa  <rnovoa@artica.es>

	* modules/pandora_module_inventory.cc: Fixed a couple of XML tags.

	* installer/pandora.mpi: Added the vbs scripts to the installer.

2010-04-21  Ramon Novoa  <rnovoa@artica.es>

	* main.cc: Updated headers after tinyxml removal.
	
	* modules/pandora_module_list.cc,
	  modules/pandora_module_factory.cc: Added support for plugin modules.

	* modules/pandora_module_exec.cc, modules/pandora_module.h,
	  modules/pandora_module.cc: Added the module_timeout configuration
	  token and replaced tinyxml related code.

	* bin/pandora_agent.conf: Added a sample plugin module. Added the
	  group configuration token (was missing).

	* modules/pandora_module_plugin.cc,
	  modules/pandora_module_plugin.h: Added to repository. Plugin module.

	* bin/util/df.vbs, bin/util/ps.vbs: Added to repository. Sample
	  VBScript plugins.

	* pandora_windows_service.cc, pandora_windows_service.h,
	  modules/pandora_module_inventory.cc, ssh/pandora_ssh_test.cc,
	  ftp/pandora_ftp_test.cc, modules/pandora_module_inventory.h: Replaced
	  tinyxml related code.

	* tinyxml, tinyxml/tinyxmlerror.cpp, tinyxml/tinystr.h,
	  tinyxml/tinyxmlparser.cpp, tinyxml/tinyxml.cpp,
	  tinyxml/tinyxml.h, tinyxml/tinystr.cpp: Removed from repository. No
	  longer used.

	* installer/pandora.mpi, pandora.cc: Updated build to RC1.

	* Makefile.am: Updated sources. Removed tinyxml and added the plugin
	  module.

>>>>>>> .r2603
2010-04-16  Ramon Novoa  <rnovoa@artica.es>

	* windows/pandora_wmi.cc: fixed getOSVersion. Crashed in Windows 2008
	  and Windows 7.

2009-12-18  Ramon Novoa  <rnovoa@artica.es>

	* windows/pandora_wmi.cc: Fixed bug #2907481.

	* bin/PandoraAgent.exe: Updated to current revision.
	
	* installer/pandora.mpi, pandora.cc: Updated build.

2009-12-16  Raul Mateos  <raulofpandora@gmail.com>

	* installer/pandora.mpi, README:Preparing release
	changing version to final.

	* installer/logo.png: Updated logo.

2009-11-26  Ramon Novoa  <rnovoa@artica.es>

	* installer/pandora.mpi: Updated version and silent install mode.

	* pandora_windows_service.cc: Set the path from the agent to avoid
	  having to reboot. Fixed a typo.

	* pandora.cc: Updated version.

2009-11-26  Raul Mateos  <raulofpandora@gmail.com>

	* installer/pandora.mpi: Updated installer build to RC3.

2009-11-24  Ramon Novoa  <rnovoa@artica.es>

	* installer/pandora_silent.mpi: Removed from repository. Merged changes
	  into pandora.mpi.

	* installer/pandora.mpi: Merged with pandora_silent.mpi.

	* pandora.cc: Updated version string.

2009-11-19  Ramon Novoa  <rnovoa@artica.es>

	* windows/pandora_wmi.cc: Fixed bug #2895307.

	* modules/pandora_module.cc: Fixed bug #2835450.

	* bin/pandora_agent.conf: Added xml_buffer configuration token.

	* ssh/libssh2/libssh2_config.h, ssh/libssh2/packet.c: Renamed usleep to
	  u_sleep to avoid conflicts.

	* pandora_windows_service.cc: Fixed bug #2899257.

2009-11-17  Sancho Lerena <slerena@artica.es>

	* Installer/Pandora_silent.mpi: Installer in silent mode. Should
	replace pandora.mpi in the future, includes both, using a command
	line to choose standard or un-attended install.

2009-10-17  Sancho Lerena <slerena@artica.es>

	* configure.in: Modified path to libregex.a instead original boost
	library name (very large and complex). This should be fix with the 
	library package uploaded in sourceforge and compile nicely (works
	for me :-)

2009-10-15  Ramon Novoa  <rnovoa@artica.es>

	* windows_service.cc: Enable service recovery by default.

	* pandora_windows_service.cc: Added autotime, group and description
	  configuration options.

2009-10-13  Sancho Lerena <slerena@artica.es>

	* bin/PandoraAgent.exe: Last build of agent binary.
	
	* bin/pandora_agent.conf: new default .conf for packaging.
	
	* bin/util/getreg.exe, bin/util/cmp.exe, bin/util/sort.exe: New bin tools
	for the 3.0 agent util directory.
	
	* installer/scripts/install_service_restart.bat: Install daily agent
	restart with AT command.
	
	* installer/scripts/restart_pandora_agent.bat: Make a service restart from
	command line (using net commands).
	
	* installer/pandora.mpi: Many fixes and improvements for the installer.

	* installer/README.txt: Updated readme.

2009-10-06  Ramon Novoa  <rnovoa@artica.es>

	* main.cc: Fixed the agent interval when running in process mode.

	* pandora_windows_service.cc: Moved the startup delay to the right
	  place.

2009-10-05  Ramon Novoa  <rnovoa@artica.es>

	* ftp/pandora_ftp_client.h: Fixed the path of curl.h to match
	  that in the Dev-cpp libcurl devpack.

	* modules/pandora_module_tcpcheck.cc: Properly close the connection
	  socket.

	* modules/pandora_module_regexp.cc: Removed debugging code.

	* modules/pandora_module_perfcounter.cc: Close the query handle even if
	  no data was returned to avoid memory leaks.

	* windows/pandora_windows_info.h,
	  windows/pandora_windows_info.cc,
	  modules/pandora_module_proc.cc: Fixed a process handle leak.

	* configure.in: Improved library detection.

2009-09-24  Sancho Lerena <slerena@artica.es>

	* modules/pandora_module_tcpcheck.cc: WSAStartup memory management 
	was leaking memory, so we will create and destroy in each loop the WSA
	structure. Tested and leak-proof :-))

	* modules/pandora_module_inventory.cc: Fixed typo with string label of 
	services inventory module.

	* bin/PandoraAgent.exe: New binary (woah, compiled from linux!).

	* pandora_windows_service.cc: Fixed problem in os XML Tag, was os_name 
	not os. Fixed problem with windows version, now is passwd full string to xml.  
	Tentacle call is passwd between quotes, because tentacle could be
	in paths with blank spaces (by default \program files\pandora_agent).

	* pandora.cc: Build updated. 

2009-09-23  Ramon Novoa  <rnovoa@artica.es>

	* windows/pandora_wmi.h, modules/pandora_module_inventory.cc: Changed
	  the format of the inventory XML.

	* main.cc: Execute the agent and exit when compiled with debugging
	  enabled.

2009-09-22  Ramon Novoa  <rnovoa@artica.es>

	* debug_new.h, fast_mutex.h,
	  debug_new.cpp, static_assert.h: Added to repository. Wu Yongwei's
	  memory leak detection tool (part of Nvwa). Only compiled when
	  debugging is enabled.

	* bin/util/tentacle_client.exe: Added to repository. Tentacle client
	  needed to build the installer.

	* installer/pandora_2.0.mpi: moved to installer/pandora.mpi. Updated.
	  The installer can now be built directly from the installer
	  subdirectory.

	* configure.in, Makefile.am, autogen.sh: Created a proper
	  configure.in and Makefile.am. The agent can now be cross-compiled
	  from Linux :-D

	* bin/pandora_agent.conf: Fixed. A local configuration had been
	  uploaded.
	
	* pandora_windows_service.h,pandora_windows_service.cc,
	  udp_server/udp_server.cc, udp_server/udp_server.h: Properly shutdown
	  the UDP server.

	* modules/pandora_module_regexp.cc,
	  modules/pandora_module_inventory.cc,
	  modules/pandora_module_factory.cc,
	  modules/pandora_module.cc, pandora_strutils.cc,
	  pandora.h, pandora.cc: Fixed a couple of memory leaks. Small changes
	  to avoid compile warnings when cross-compiling from Linux.

	* windows_service.cc: Removed the interactive service flag to avoid
	  'black windows'.

	* main.cc: Include the memory leak detection tool if debugging is
	  enabled.

2009-09-16  Ramon Novoa  <rnovoa@artica.es>

	* pandora_windows_service.cc: Fixed a memory leak.

2009-09-11  Ramon Novoa  <rnovoa@artica.es>

	* modules/pandora_module_inventory.h,
	  modules/pandora_module_inventory.cc,
	  modules/pandora_module_factory.cc: Fixed inventory module interval
	  calculation.

2009-09-10  Ramon Novoa  <rnovoa@artica.es>

	* windows/pandora_wmi.cc,
	  modules/pandora_module_factory.cc: Removed unnecessary code.

2009-09-10  Ramon Novoa  <rnovoa@artica.es>

	* windows/pandora_windows_info.h,
	  windows/pandora_windows_info.cc: Added a new function that searches
	  the Windows registry for installed software.

	* windows/pandora_wmi.cc, windows/pandora_wmi.h: Avoid reading numeric
	  values from WMI query results into strings.

	* modules/pandora_module_inventory.h,
	  modules/pandora_module_inventory.cc,
	  modules/pandora_module_factory.cc: Added a new inventory module that
	  lists system services. Updated the software module to use the new
	  function. Fixed some typos.

2009-09-02 Pablo de la Concepción <pablo.concepcion@artica.es>
	* windows/pandora_wmi.cc, windows/pandora_wmi.h: Added Inventory 
	functions

	* modules/pandora_module_inventory.h, 
	modules/pandora_module_inventory.cc,
	modules/pandora_module.h, modules/pandora_module_list.cc,
	modules/pandora_module_factory.cc, modules/pandora_module.cc: Added
	Inventory moudule files and moudule loading logic. 

	* modules/pandora_data.cc, modules/pandora_data.h: Added data_origin
	atribute, new constructors and getters and setters for the atribute 

	* bin/PandoraAgent.exe: new complide binary

	* bin/pandora_agent.conf: new configuration parameters for inventory 
	module 
	
	* PandoraAgent.dev: Updated project file 

2009-05-28  Ramon Novoa  <rnovoa@artica.es>

	* modules/pandora_module_logevent.cc: Fixed the calculation of the
	  newest event offset. Removed module output when no log events are
	  found.

2009-05-25  Ramon Novoa  <rnovoa@artica.es>

	* windows/pandora_wmi.cc, windows/pandora_wmi.h: Added functions for the
	  new modules. Removed old logevent functions.

	* pandora_windows_service.h, pandora_windows_service.cc: Added support
	  for data file buffering and startup delay.

	* modules/pandora_module_logevent.cc, modules/pandora_module_logevent.h:
	  Rewritten to retrieve event log data using the PDH interface instead
	  of WMI (was too slow).

	* modules/pandora_module_tcpcheck.cc, modules/pandora_module_tcpcheck.h,
	  modules/pandora_module_regexp.cc, modules/pandora_module_regexp.h,
	  modules/pandora_module_perfcounter.cc,
	  modules/pandora_module_perfcounter.h,
	  modules/pandora_module_freedisk_percent.cc,
	  modules/pandora_module_freedisk_percent.h,
	  modules/pandora_module_freememory_percent.cc,
	  modules/pandora_module_freememory_percent.h: Added to repository.
	  New modules, see http://openideas.info/wiki/.

	* modules/pandora_module.h, modules/pandora_module.cc,
	  modules/pandora_module_factory.cc, modules/pandora_module_list.cc:
	  Added support for the new modules.

	* bin/pandora_agent.conf: Included configuration examples for the new
	  modules.

	* PandoraAgent.dev: Updated to compile the new modules.

2009-04-13  Esteban Sanchez  <estebans@artica.es>

	* modules/pandora_module_odbc.cc: Fixed log message when no username
	was found.

	* modules/pandora_module_factory.cc: Removed duplicated assignment.

2009-04-02  Ramon Novoa  <rnovoa@artica.es>

	* modules/pandora_module_proc.cc,
	  modules/pandora_module_proc.h: Fixed module_startdelay and
	  module_retrydelay behavior.

2009-03-24  Esteban Sanchez  <estebans@artica.es>

	* udp_server/udp_server.cc, udp_server/udp_server.h: Replaced
	blankspaces with tabs.

2009-03-16  Manuel Arostegui <marostegui@artica.es>

	* bin/pandora_agent.conf: Added example of a UDP server
	to allow start/stop process.

2009-03-13  Manuel Arostegui <marostegui@artica.es>

	* bin/pandora_agent.conf: Added example for the new features
	such as watchdog and asynchronous mode.

2009-02-13  Ramon Novoa  <rnovoa@artica.es>

	* windows/pandora_wmi.cc
	  windows/pandora_wmi.h
	  modules/pandora_module_exec.cc: Hide console window when executing
	  exec modules.
	
	* modules/pandora_module_proc.cc,
	  modules/pandora_module_proc.h,
	  modules/pandora_module_factory.cc: Added module_retries,
	  module_startdelay and module_retrydelay options to proc
	  modules.

2009-02-12  Esteban Sanchez  <estebans@artica.es>

	* main.cc: Added new parameter to help text.

2009-02-09  Ramon Novoa  <rnovoa@artica.es>

	* windows/pandora_wmi.cc,
	  windows/pandora_wmi.h: Allow custom process creation flags.

	* pandora_windows_service.cc: Hide console window when calling
	  tentacle client.

2009-02-09  Esteban Sanchez  <estebans@artica.es>

	* main.cc: Added a new parameter --process to run the agent as a
	single process instead of a service.

	* pandora_windows_service.h: Interval property is now public so it can
	be readed if it's running as a single process.

2008-12-03  Esteban Sanchez  <estebans@artica.es>

	* bin/PandoraAgent.exe: Updated to last commit.

2008-12-03  Esteban Sanchez  <estebans@artica.es>

	* pandora.[cc,h]: Function is_enabled() was moved here to be
	accesible.

	* pandora_windows_service.cc: Removed is_enabled() private function.

	* windows_service.cc: Service is now interactive, so it can open
	interactive processes in the watchdog mode of proc modules.

	* modules/pandora_module_factory.cc: Added "module_watchdog" and
	"module_start_command" tokens to service and process modules. Style
	correction.

	* modules/pandora_module_proc.[cc,h]: Added watchdog mode to run
	proccess when they die. It's done by setting a start command to
	recover it.

	* modules/pandora_module_service.[cc,h]: Added watchdog mode to start
	a service when it's stopped.

2008-12-01  Ramon Novoa  <rnovoa@artica.es>

	* windows/pandora_wmi.cc,
	  windows/pandora_wmi.h,
	  modules/pandora_module_logevent.cc,
	  modules/pandora_module_logevent.h,
	  modules/pandora_module_factory.cc: Added event code filtering
	  support to logevent module.

2008-12-01  Esteban Sanchez  <estebans@artica.es>

	* pandora_windows_service.cc: Removed debug output. Release mutex on
	sendXml()
	
	* modules/pandora_module.[cc,h]: Save latest output in a new property.
	It's used on generic_proc modules to check the value better.

	* modules/pandora_module_proc.[cc,h]: Added support for asynchronous
	mode. It checks process in a separeted thread and report the status
	quicker. Added getProcessName()

	* modules/pandora_module_service.cc: Style correction. Removed an
	indentation level.

	* windows/pandora_windows_info.[cc,h]: Added getProcessHandles() to
	get a list of handles of a running process, giving the process name.

2008-11-28  Esteban Sanchez  <estebans@artica.es>

	* modules/pandora_module.[cc,h]: Added an async property. Added
	getLatestOutput() to get the latest output of a module.

	* modules/pandora_module_factory.cc: Parse async token in modules.

	* modules/pandora_module_list.[cc,h]: It can create empty lists now
	and add modules using new addModule() function.

	* modules/pandora_module_service.[cc,h]: Added an async thread to
	watch services events and track services status changes quickly and
	asynchronously.

	* windows/pandora_wmi.cc: Style correction.

	* pandora_windows_service.[cc,h]: Pandora Windows service object is
	now single instance, so the instance to the running service can be
	accessed anywhere (useful in async threads). The XML generation and
	sending process has been moved to a new function called sendXml()
	which is thread-safe.

	* windows_service.h: Some properties are now protected instead of
	public to make it easier the singleton pattern in child classes.

	* main.cc: Adopted to singleton pattern in Pandora windows service.

2008-11-26  Esteban Sanchez  <estebans@artica.es>

	* pandora_strutils.cc, pandora_strutils.h, ftp/pandora_ftp_client.cc,
	ftp/pandora_ftp_test.cc, ftp/pandora_ftp_client.h,
	ftp/pandora_ftp_test.h, windows/pandora_windows_info.h,
	windows/pandora_wmi.cc, windows/pandora_windows_info.cc,
	misc/pandora_file.cc, misc/pandora_file.h, pandora_agent_conf.cc,
	ssh/pandora_ssh_client.cc, ssh/pandora_ssh_test.cc,
	ssh/pandora_ssh_client.h, ssh/pandora_ssh_test.h,
	pandora_agent_conf.h, windows_service.cc, windows_service.h,
	modules/pandora_module.h, modules/pandora_module_logevent.cc,
	modules/pandora_module_exec.cc, modules/pandora_module_logevent.h,
	modules/pandora_module_exec.h, modules/pandora_module_freedisk.cc,
	modules/pandora_module_freedisk.h, modules/pandora_module_service.cc,
	modules/pandora_module_service.h, modules/pandora_module_proc.cc,
	modules/pandora_data.cc, modules/pandora_module_proc.h,
	modules/pandora_data.h, modules/pandora_module_factory.cc,
	modules/pandora_module_odbc.cc, modules/pandora_module_odbc.h,
	modules/pandora_module_factory.h,
	modules/pandora_module_freememory.cc, modules/pandora_module_list.cc,
	modules/pandora_module_freememory.h,
	modules/pandora_module_cpuusage.cc, modules/pandora_module_cpuusage.h,
	modules/pandora_module.cc, pandora.h: Tab style correction.
	Indentation blankspaces moved to tab characters.

2008-10-30  Raul Mateos  <raulofpandora@gmail.com>
	
	* win32/installer/pandora_2.0.mpi: Updated installer to let the user start
	the service during installation.
	
	* win32/installer/scripts/*.bat: Updated bat files with new service name.

2008-09-05  Raul Mateos  <raulofpandora@gmail.com>

	* win32/bin/pandora_agent.conf: Changed to template used by installer.
	
	* win32/installer/pandora_2.0.mpi: Updated installer file with pane
	that allows configure the pandora_agent.conf file without editing it.

2008-08-28  Raul Mateos  <raulofpandora@gmail.com>

	* win32/bin/pandora_agent.conf: Updated.

2008-07-30  Sancho Lerena <slerena@gmail.com>

	* win32/installer/pandora.ico: The new official 2.0 icon.

	* win32/bin/Pandora FMS Windows Agent 2.0 (Beta1)-Setup.exe:
	Probably not final, but this seems to work for us.

	* win32/bin/PandoraAgent.exe: Latest binary for agent.

	* win32/bin/pandora_agent.conf: A more complex sample file.

2008-07-09  Esteban Sanchez  <estebans@artica.es>

	* pandora_strutils.[cc,h]: Added strUnicodeToAnsi().

	* modules/pandora_module_logevent.cc, pandora_windows_service.[cc,h],
	windows/pandora_wmi.h: Tabs and blankspace style correction.

	* windows/pandora_wmi.cc: Convert result in getEventList() to ANSI,
	which was causing some BADXML errors on server. Tabs and blankspace
	style correction.

	* bin/PandoraAgent.exe: Updated to last commit.

2008-06-11  Esteban Sanchez  <estebans@artica.es>

	* bin/PandoraAgent.exe: Updated to commit, fixed an error when
	building that was causing to not work as a service.

2008-06-11  Esteban Sanchez  <estebans@artica.es>

	* pandora_windows_service.cc, modules/pandora_module_list.cc: Deleted
	debug output.

	* modules/pandora_module_exec.cc: Reindented the code. Add blank
	output to the module if there were nothing to read (like when the
	executions return nothing).

	* bin/PandoraAgent.exe: Updated to commit.

2008-06-11  Esteban Sanchez <estebans@artica.es>

	* bin/libodbc++.dll: Added to repository. Needed to run agent since
	ODBC support was added.

2008-04-29  Ramon Novoa  <rnovoa@artica.es>

	* pandora.cc: Updated version information.

2008-04-21 Manuel Arostegui <marostegui@artica.es>

	* installer/pandora_1.3.mpi: Changed tentacle_client.exe default
	installtion directory, now it is %WINDOWS.

2008-04-09  Esteban Sanchez  <estebans@artica.es>

	* modules/pandora_data.[cc,h]: Added to repository. Implements a
	Pandora_Data object, which holds a value and the timestamp when it
	was created.

	* modules/pandora_module.[cc,h]: It holds now a list of Pandora_Data
	objects. The XML is generated based on the size of this list. Output
	property has became obsolete and child modules must use setOutput().

	* modules/pandora_module_cpuusage.cc,
	modules/pandora_module_exec.cc,
	modules/pandora_module_freedisk.cc,
	modules/pandora_module_freememory.cc,
	modules/pandora_module_odbc.cc, modules/pandora_module_proc.cc,
	modules/pandora_module_service.cc: Updated to new Pandora_Module
	parent class.

	* modules/pandora_module_list.cc: Deleted debug output.

	* pandora.cc: Now uses SYSTEMTIME instead of old time_t.

	* pandora_windows_service.[cc,h]: Added Ramon Novoa to authors. Added
	a new configuration token transfer_interval which sets the interval
	where the data file will be sent to the server. If the current
	interval token is lower than this transfer interval, the data will be
	added into a data_list XML tag.
	
	* PandoraAgent.dev: Added new files.

	* bin/PandoraAgent.exe: Updated to last commit.

2008-04-02  Esteban Sanchez  <estebans@artica.es>

	* pandora_agent_conf.[cc,h]: Object adapted to be a singleton so it
	could be used in many parts of the code who can't access to it before.

	* ftp/pandora_ftp_test.cc, ssh/pandora_ssh_test.cc: Adapted to
	configuration object singleton.

	* modules/pandora_module_odbc.[cc,h]: Added to repository. Implements
	a ODBC interface to make SQL queries.

	* modules/pandora_module.[cc,h], modules/pandora_module_list.cc,
	modules/pandora_module_factory.cc: Added ODBC module support.

	* bin/pandora_agent.conf: Added a ODBC module example.

	* PandoraAgent.dev: Added new files to project.

	* bin/PandoraAgent.exe: Updated to last commit.

2008-04-02  Manuel Arostegui <marostegui@artica.es>

	* installer/pandora_1.3.mpi: Adapted for the 1.3.1 Windows Installer
	  with the tentacle support and tentacle util included.

2008-04-02  Ramon Novoa  <rnovoa@artica.es>

	* bin/pandora_agent.conf: Changed default transfer mode
	  to tentacle.

2008-03-25  Ramon Novoa  <rnovoa@artica.es>

	*  bin/PandoraAgent.exe: Updated to r764.

2008-03-25  Ramon Novoa  <rnovoa@artica.es>

	* ftp/pandora_ftp_test.cc, installer/pandora_1.3.mpi,
	  installer/README.txt, pandora_windows_service.cc,
	  bin/pandora_agent.conf: Variable ftp_password removed from
	  configuration file, server_pwd is used instead.

2007-09-17  Raul Mateos  <raulofpandora@gmail.com>

	* pandora_agent.conf: Corrected some texts.

2007-09-14  Sancho Lerena <slerena@gmail.com>

	* pandora_agent.conf: Updated

	* pandora_1.3.mpi: Updated and fixed some minor strings.

	* Packaged lastest version of Pandora FMS Agent for windows.

	This would be beta3 for Windows Agent.

2007-09-11  Esteban Sanchez  <estebans@artica.es>

	* windows/pandora_wmi.cc: Fixed an error when detecting running
	services. Removed unuseful output.

	* bin/PandoraAgent.exe: Updated to last commit.

2007-09-07  Raul Mateos  <raulofpandora@gmail.com>

 	* installer/Pandora_Windows_Agent-1.3.0 Beta2-Setup.exe: Updated 
	beta2 installer binary.	

	* installer/pandora_1.3.mpi: Updated, clearing some texts.

2007-09-06  Esteban Sanchez  <estebans@artica.es>

	* pandora_windows_service.cc: Date is now filled with zeros to the
	left and two digits.

	* bin/PandoraAgent.exe: Updated to last commmit.

2007-09-05  Raul Mateos  <raulofpandora@gmail.com>

 	* installer/Pandora_Windows_Agent-1.3.0 Beta2-Setup.exe: Updated 
	beta2 installer binary.	

	* installer/pandora_1.3.mpi: Updated.
	
	* bin/help/how_to_keys_es.html: New help file in spanish.
	
	* bin/help/how_to_keys.html: Updated.
	
	* installer/README.txt, LICENSE.txt: Updated.

2007-09-05  Esteban Sanchez  <estebans@artica.es>

	* windows/pandora_wmi.cc: Fixed a bug that return 0 in some cases of
	free disk space.

	* pandora.cc: Renamed debug file to pandora_debug.log

	* pandora_windows_service.cc: Fixed a blank space.

	* bin/PandoraAgent.exe: Updated to last commit.

2007-09-03  Raul Mateos  <raulofpandora@gmail.com>

	* installer/pandora_1.3.mpi: Updated texts in several languages. Now some
	links are traslated.

2007-08-30  Raul Mateos  <raulofpandora@gmail.com>

	* installer/pandora_1.3.mpi: Updated deleting first question.
	
 	* installer/Pandora_Windows_Agent-1.3.0 Beta2-Setup.exe: Updated 
	beta2 installer binary.

2007-08-30  Sancho Lerena <slerena@gmail.com>

	* bin/PandoraAgent.exe: New .exe (smaller, without debug symbols)

2007-08-29  Raul Mateos  <raulofpandora@gmail.com>

	* bin/help/how_to_keys.html: Added SSH string.
	
	* installer/pandora_1.3.mpi: Updated with small text changes.
	
 	* installer/Pandora_Windows_Agent-1.3.0 Beta2-Setup.exe: Updated 
	beta2 installer binary.
	
2007-08-29  Sancho Lerena  <slerena@artica.es>

	* bin/README.txt replaced instead README.

 	* installer/Pandora_Windows_Agent-1.3.0 Beta2-Setup.exe: Added 
	beta2 installer binary.

	* installer/pandora_1.3.mpi: Several changes on installer from last 
	version !. Now adds to path /util directory, and open a writepad 
	for default config. Also install Pandora on standard windows 
	uninstaller, and also remove correctly all files. Some other minor 
	changes added.
	
	* installer/README.txt: Updated also.

	* installer/How_to_create_installer.txt: Some small changes in file
	disposition.

2007-08-29  Esteban Sanchez  <estebans@artica.es>

	* pandora_windows_service.cc: Fixed a typo. Disconnect ftp client when
	an error happened.

	* ftp/pandora_ftp_client.cc: Set network timeout and ftp timeout.
	Ignore error when executing moving operations, this is compatible
	with FTP jails

	* windows/pandora_wmi.cc: Improved WQL queries and fixed some leaks.

2007-08-28  Esteban Sanchez  <estebans@artica.es>

	* main.cc: Fixed an error with previous commit.

	* pandora_windows_service.cc, ftp/pandora_ftp_client.cc: Reduced log
	level.

	* bin/PandoraAgent.exe: Updated to last commit.

2007-08-27  Esteban Sanchez  <estebans@artica.es>

	* pandora.cc: Updated buildname.

	* main.cc: Added a missing "]" character. Added version number when
	showing the help. Fixes #1782569.

	* bin/PandoraAgent.exe: Updated to last commit.

2007-08-24  Esteban Sanchez  <estebans@artica.es>

	* pandora.cc: Changed log and debug file to have the same name that
	other operative system agents.

	* bin/PandoraAgent.exe: Updated to last commit.

2007-08-24  Esteban Sanchez  <estebans@artica.es>

	* win32/windows/pandora_wmi.cc: Fixed a bug when reading free space
	from a read-only device such as CD-ROM by improving the WQL query.
	(Fixes #1780455)

	* bin/PandoraAgent.exe: Updated to last commit.

2007-08-23  Sancho Lerena  <slerena@artica.es>

	* bin/pandora_agent.conf: More comple sample config.

2007-08-23  Esteban Sanchez  <estebans@artica.es>

	* pandora_windows_service.cc: Reduced output log level in normal use.

	* main.cc: Added a new line on help output.

	* bin/PandoraAgent.exe: Updated to last commit.

2007-08-16  Esteban Sanchez  <estebans@artica.es>

	* ftp/pandora_ftp_test.[cc,h]: Added to repository. Implements a FTP
	test to be run on command line.

	* main.cc: Added --test-ftp option to perform a FTP test.

	* PandoraAgent.dev: Added new files.

	* bin/PandoraAgent.exe: Updated to last commit.

2007-08-16  Esteban Sanchez  <estebans@artica.es>

	* pandora_windows_service.cc: Do not check debug flag if copying was
	not successful.

	* bin/README: Updated options.
	
	* bin/PandoraAgent.exe: Updated to last commit.

2007-08-07  Esteban Sanchez  <estebans@artica.es>

	* pandora.cc: Updated agent version.
	
	* pandora.h, modules/pandora_module_exec.cc: Redefine WINVER, so
	CreateJobProject can be found without modifying windef.h.
	
	* pandora_agent_conf.cc: Rewritten a loop.

	* ftp/pandora_ftp_client.[cc,h]: Added to repository. Implemented FTP
	transfer protocol using libcurl. It adds a library dependency.

	* pandora_windows_service.cc: Added support for FTP transfers. Select
	between SSH (default) or FTP. Improved file structure to be cleaner.

	* pandora_windows_service.h: Added new private functions and removed
	unneccessary private attribute.

	* misc/pandora_file.[cc,h]: Added a function to get the filename of a
	path.
	
	* main.cc: Indentation fixed.

	* bin/libcurl.dll: Added to repository. New dependency.

	* bin/PandoraAgent.exe: Updated to last commit.

2007-05-23 Raul Mateos <raulofpandora@gmail.com>

	* installer/Pandora_Windows_Agent-1.2.1-Setup.exe: Updated installer.
	Deleted old one.
	
	* installer/pandora1.2.1.mpi: Renamed installjammer file and updated
	version. To use the file, you have to copy the ./bin and ./installer folder
	to c:\pandora_installer folder. This is explained in the
	how_to_create.installer.txt new file.
	
	* installer/how_to_create.installer.txt: New help file.
	
	* installer/README.txt: Updated file with 1.2.1 version.

2006-12-05  Esteban Sanchez  <estebans@artica.es>

	* pandora_windows_service.cc: Fixed a bug when the agent name is not
	configured and should be getted from the system.

	* bin/PandoraAgent.exe: Updated to last commit.

2006-12-05 Raul Mateos <raulofpandora@gmail.com>

	* installer/Pandora_Windows_Agent-1.2.0-Setup.exe: Updated installer.

2006-12-05  Esteban Sanchez  <estebans@artica.es>

	* misc/pandora_file.cc: Removed unuser variables.

	* bin/PandoraAgent.exe: Really updated to last commit.

2006-12-04 Raul Mateos <raulofpandora@gmail.com>

	* installer/Pandora_Windows_Agent-1.2.0-Setup.exe: Added icon
	in program group to view help. This file has changed its name
	in commit 299.
	
	* installer/pandora.mpi: Update installer script file.

2006-12-04  Esteban Sanchez  <estebans@artica.es>

	* misc/pandora_file.[cc,h]: Added a function to check the existance of
	a file.

	* pandora_ssh_tesct.cc: Check if private and public key files exists
	when doing the test.

	* bin/PandoraAgent.exe: Updated to new commit.

2006-12-01 Raul Mateos <raulofpandora@gmail.com>

	* installer/Pandora_FMS_Windows_Agent-1.2-Setup.exe: Updated with last
	binary file, also added html help to generate keys.
	
	* installer/scripts/*.bat: moved from installer directory.
	
	* installer/pandora.mpi: Update installer script file.
	
	* installer/README.txt: Updated file.

2006-12-01  Esteban Sanchez  <estebans@artica.es>

	* pandora_windows_service.[cc,h]: Added copyDataFile() method to
	class, it will copy the data file to the remote host. Now the data
	file is not copied when the debug flag is active. Changed some debug
	output to log output and changed one log message.

	* bin/pandora_agent.conf: Updated debug flag option to new format and
	commented.

	* bin/PandoraAgent.exe: Updated to new commit.

2006-12-01  Esteban Sanchez  <estebans@artica.es>

	* pandora_windows_service.cpp: Fixed a bug when copying the data file
	to server, which it didn't include the agent name if it was not
	defined in configuration file and was taken from Windows functions.
	
	* bin/PandoraAgent.exe: Updated to new commit.

2006-11-30 Raul Mateos <raulofpandora@gmail.com>

	* bin/help/*: New directory and files with help for generating keys.

2006-11-28 Raul Mateos <raulofpandora@gmail.com>

	* installer/Pandora_FMS_Windows_Agent-1.2-Setup.exe: Updated with last
	binary file.
	
	* installer/pandora.mpi: Update installer script file.
	
	* installer/README.txt: Updated file.

2006-11-27 Raul Mateos <raulofpandora@gmail.com>

	* installer/Pandora_FMS_Windows_Agent-1.2-Setup.exe: Updated with last
	binary file.
	
	* installer/pandora.mpi: Update installer script file.
	
	* installer/Pandora Windows Agent-1.2 Beta3-Setup.exe: deleted old file.
	
	* bin/pandora_agent.conf: Changed path in server to
	/var/spool/pandora/data_in.

2006-11-27  Esteban Sánchez  <estebans@artica.es>

	* pandora_strutils.h, pandora_strutils.cc: strtoulong() now returns an
	unsigned long long. This will finally fixes the bug with freedisk big
	amounts.

	* windows/pandora_wmi.cc: Now the space amount is a unsigned long
	long enough to amounts up to PB (billions of GB).

	* bin/PandoraAgent.exe: Updated to new commit.

2006-11-24  Esteban Sánchez  <estebans@artica.es>

	* pandora_strutils.h, pandora_strutils.cc: Added strtoulong() to
	convert a string into a unsigned long integer.

	* wmi/pandora_wmi.h, pandora_wmi.cc: Modified getDisgkFreeSpace() to
	return a unsigned long integer. Used srttoulong() to transform the
	free disk into a log instead of an integer, that caused a negative
	value of free disk space when the amount was in the order of GB.

	* bin/PandoraAgent.exe: Updated to new commit.

2006-11-21  Esteban Sánchez  <estebans@artica.es>

	* pandora_windows_service.cc: Changed the debug option of the
	configuration to "debug" instead of "pandora_debug".

	* pandora.cc: Removed output to stdout when logging.

	* bin/pandora_agent.conf: Removed " from module_proc example. Fixes
	bug #1600008.
	
	* bin/PandoraAgent.exe: Updated to new commit.

2006-11-17  Raúl Mateos  <raulofpandora@gmail.com>

	* installer/Pandora_FMS_Windows_Agent-1.2-Setup.exe: New installer to 
	include last binary file. This should be the last one before release
	of Pandora FMS 1.2.
	
	* installer/start_pandora_agent.bat, installer/stop_pandora_agent.bat,
	installer/LICENSE.txt, installer/README.txt: Added new files used by
	the installer in shorcuts.
	
	* installer/pandora.mpi: Update installer script file.

2006-11-08  Esteban Sanchez  <estebans@artica.es>

	* ssh/libssh2/userauth.c: Fixed a bug when the public key file do
	not finish with '\n' or '\r'.

	* bin/PandoraAgent.exe: Updated to new changes.

2006-10-13  Raúl Mateos  <raulofpandora@gmail.com>

	* installer/Pandora Windows Agent-1.2 Beta3-Setup.exe: Updated
	installer to include last binary file.
	
	* installer/logo.png: New File.
	
	* installer/logo.gif: Delete file.

2006-10-06  Esteban Sanchez  <estebans@artica.es>

	* pandora.cc, pandora.h: Added getPandoraDebug() to get the debug
	flag value.

	* pandora_windows_service.cc: Do not remove the data file if flag
	debug is active.

	* bin/PandoraAgent.exe: Updated to new changes.

	* ChangeLog: Style correction.

2006-10-05  Raúl Mateos  <raulofpandora@gmail.com>

	* installer/Pandora Windows Agent-1.2 Beta3-Setup.exe: Updated
	installer to include Pair Key generation.
	
	* installer/pandora.mpi: New file, installjammer installer. You should
	change PATHS to include the files into the installer.
	
	* installer/pandora.ico: New file, used in the installer.
	
	* installer/logo.gif: New file, used in the installer (it should be
	changed to .png)

2006-09-27  Raúl Mateos  <raulofpandora@gmail.com>

	* installer/Pandora Windows Agent-1.2 Beta3-Setup.exe: Updated logo
	image and added shortcut to edit configuration file.

2006-09-22  Raúl Mateos  <raulofpandora@gmail.com>

	* installer/: New directory to put the Pandora Agent for Windows
	installer.
	
	* Pandora Windows Agent-1.2 Beta3-Setup.exe: New file added to
	repository.

2006-09-22  Raul Mateos  <raulofpandora@gmail.com>

	* win32\bin\pandora_agent.conf: Updated some texts to english.
	
	* win32\bin\README: Added

2006-08-31  Esteban Sanchez  <estebans@artica.es>

	* bin/PandoraAgent.exe: Updated to the new code.

2006-08-31  Esteban Sanchez  <estebans@artica.es>

	* pandora.cc, pandora_strutils.h, windows_service.h,
	wmi/pandora_wmi.cc, ssh/pandora_ssh_test.cc: Documentation comments
	updated.
	
	* ssh/pandora_ssh_client.[h,cc]: Documentation comments updated.
	Comment deleted.

	* windows_service.cc: Comment deleted.
	
2006-08-15  Esteban Sanchez  <estebans@artica.es>

	* autogen.sh, configure.in, Makefile.am, Doxyfile.in: Added to
	repository. They are used to generate documentation, not to compile.

	* main.cc: Added some comments. Style correction.

	* pandora.[cc,h]: Added documentation comments. Changed visibility of
	some attributes.

	* pandora_agent_conf.[cc,h]: Added to Pandora namespace. Added
	documentation comments.

	* pandora_windows_service.[cc,h], pandora_strutils.[cc,h],
	windows/pandora_windows_infp.[cc,h], ssh/pandora_ssh_test.[cc,h]:
	Added documentation comments.

	* ssh/pandora_ssh_client.[cc,h]:Added documentation comments. Removed
	old method to connect with user and password. Style correction.
	
	* misc/pandora_file.[cc,h]: Added documentation comments. Renamed some
	parameters.

	* modules/pandora_module.[cc,h]: Added documentation comments. Put a
	name to the enumerators. Added a new class to agroupate all exceptions
	produced by Pandora_Module child class objects. Changed visibility of
	some attributes. Added some new methods and renamed others.

	* modules/pandora_module_cpuusage.[cc,h],
	modules/pandora_module_exec.[cc,h],
	modules/pandora_module_freememory.[cc,h],
	modules/pandora_module_freedisk.[cc,h], modules/pandora_module_proc.[cc,h],
	modules/pandora_module_service.[cc,h]: Added documentation comments.
	Some changes to adapt the objects to the Pandora_Module changes.

	* modules/pandora_module_list.[cc,h]: Added documentation comments.
	Some changes to adapt the objects to the Pandora_Module changes. Added
	to Pandora_Modules namespace.
		
	* windows/pandora_windows_wmi.[cc,h]: Added documentation comments.
	Renamed Pandora_Wmi_Error to Pandora_Wmi_Exception.

	* windows_service.[cc,h]: Added documentation comments. Changed
	visibility of some attributes. Style correction.

2006-07-17  Esteban Sanchez  <estebans@artica.es>

	* main.cc: Added "--help" option.

	* pandora_strutils.cpp: Renamed to pandora_strutils.cc

	* bin/PandoraAgent.exe: Updated to the new commit.

2006-07-17  Esteban Sanchez  <estebans@artica.es>

	* modules/pandora_module_factory.cc: Removed unnecessary debug.

	* windows/pandora_wmi.cc: Removed graphical exceptions to be executed
	when something happens with disphelper library. Get a string when
	retrieving the FreeSpace field on getDiskFreeSpace(), it solves a bug
	when the free space was a huge amount.

	* bin/PandoraAgent.exe: Updated to the new commit.

2006-07-12  Esteban Sanchez  <estebans@artica.es>
	
	* modules/pandora_module_freememory.[cc,h]: Added to repository.
	Implements a module to the the amount of free memory.

	* modules/pandora_module.h, modules/pandora_module_factory.cc,
	modules/pandora_module_list.cc: Added support to
	Pandora_Module_Freememory.

	* modules/pandora_wmi.[cc,h]: Added getFreememory () to get the amount
	of free memory.

	* pandora_windows_service.h: Removed public specificator from some
	functions.

	* PandoraAgent.dev: Added new files.

	* bin/PandoraAgent.exe: Updated to the new commit.

	* bin/pandora_agent.conf: Added example of free memory module.
	
2006-07-11  Esteban Sanchez  <estebans@artica.es>

	* bin/pandora_agent.conf: Added examples of CPU usage and free space
	on disk.
	
2006-07-11  Esteban Sanchez  <estebans@artica.es>

	* modules/pandora_module_cpuusage.[cc,h]: Added to repository.
	Implements a module to get the CPU usage percentage.

	* modules/pandora_module.h, modules/pandora_module_factory.cc,
	modules/pandora_module_list.cc: Added support to
	Pandora_Module_Cpuusage.

	* modules/pandora_module_freedisk.cc: Removed unnecessary debug
	output.

	* modules/pandora_module_service.h: Style correction.

	* windows/pandora_wmi.[cc,h]: Added getCpuUsagePercentage().  Removed
	unnecessary debug output.

	* PandoraAgent.dev: Added new files to the project.

	* bin/PandoraAgent.exe: Updated to the new commit.
	
2006-07-11  Esteban Sanchez  <estebans@artica.es>

	* pandora_windows_service.h: Public methods converted into private.
	
	* modules/pandora_module_freedisk.[cc,h]: Added to repository.
	Implements a module to check the free space in a disk.

	* modules/pandora_module.h, modules/pandora_module_factory.cc,
	pandora_module_list.cc: Added support to Pandora_Module_Freedisk
	modules.

	* ssh/libssh2/channel.c: Fixed a bug on libssh2_channel_wait_closed
	that caused to not copy the file to the remote host.

	* windows/wmi/pandora_wmi.[cc,h]: Added getDiskFreeSpace() to get
	support eh Pandora_Module_Freedisk modules.

	* pandora_strutils,[cc,h]: Added longtostr() to convert a long into a
	string.
	
	* PandoraAgent.dev: Added new files to the project.

	* bin/PandoraAgent.exe: Updated to the new commit.
	
2006-07-10  Esteban Sanchez  <estebans@artica.es>

	* modules/pandora_module_list.cc: Delete modules from the list in the
	destructor.
	
	* ssh/libssh2/*: Updated to a new version of libssh2 (v 0.14). It
	solves a very important leak.
	
	* PandoraAgent.dev: Linker options modified. Libssh2 files are not
	compiled as C++.

2006-07-05  Sancho Lerena  <slerena@artica.es>

	* INSTALL, COPYNG: Added to repository

	* util/ : Added GNU Tools to repository.
	
	* libeay32.dll, zlib1.dll: Added to repository.

	* pandora_agent.conf: Some changes to example config file. Added some 
	examples to reflect a more "real" setup.

2006-07-05  Esteban Sanchez  <esteban@steve-o.org>

	* README: Style correction. 

	* pandora.cc: Log file renamed. 

	* modules/pandora_module.cc: Fixed a bug when sending a integer value
	from a module exec type.

2006-07-05  Esteban Sanchez  <esteban@steve-o.org>

	* AUTHORS, README: Added to repository
	
	* PandoraAgent.dev: Linker options modified to not point to a static
	path.
	
2006-07-05  Esteban Sanchez  <esteban@steve-o.org>

	* pandora.h, ssh/padora_ssh_client.h: Define renamed.

	* pandora_windows_service.cc: SSH user modified.

	* main.cc: Added Pandora_SSH_Test

	* ssh/pandora_ssh_test.h: Added define to avoid recursive inclusion.
	
	* ssh/pandora_ssh_test.cc: Unnecessary includes removed.

2006-07-05  Esteban Sanchez  <esteban@steve-o.org>
	
	* pandora.[cc,h]: Program name and display name of the application.
	Added pandora_version variable and getPandoraAgentVersion()
	
	* pandora_windows_service.[cc,h]: Added checking of debug flag when
	reading the configuration file. Get the agent name from the machine if
	it was not defined in the configuration file. Date format on
	getXmlHeader() corrected. Style correction.
	
	* bin/README.txt: Fixed a error.

	* bin/PandoraAgent.tar.gz: Updated to the new commit.
	
	* windows/pandora_wmi.cc: The errors are now shown using pandoraLog().
	
	* modules/pandora_module.cc, modules/pandora_module_exec.cc,
	ChangeLog: Style correction.
	
2006-07-05  Esteban Sanchez  <esteban@steve-o.org>
	* bin/README.txt: Added to repository.
	
	* pandora.h: Service name renamed.

2006-07-05  Esteban Sanchez  <esteban@steve-o.org>

	* windows/pandora_wmi.cc: Removed unnecessary debug. Check the service
	state on isRunningService ()

	* pandora_agent_conf.cc, modules/pandora_module_factory.cc: Removed
	unnecessary debug.

	* bin/PandoraAgent.tar.gz: Added to repository.

	* ssh/pandora_ssh_client.cc: Debug converted into log.

	* pandora_windows_service.cc:  Get the interval value (in minutes)
	and set it to the service. Check if the XML of the module is NULL
	before adding it to the file. Added log output on error. Delete
	temporal file before finishing the run.

	* pandora_windows_service.h: Macro modified.

	* modules/pandora_module.h, modules/pandora_module.cc: Added new
	exception, raised when the interval is not fulfilled. Added code to
	the run funtion of the Pandora_Module class, to check the execution
	interval.

	* modules/pandora_module_proc.cc, modules/pandora_module_exec.cc,
	modules/pandora_module_service.cc: Call to the run() base class
	function before running the specific code.

	* modules/pandora_module_list.cc: Removed use of namespace and use a
	explicit specification.

2006-07-04  Esteban Sanchez  <esteban@steve-o.org>

	* windows/pandora_wmi.*, windows/pandora_windows_info.*,
	windows/wmi/disphelper.*, misc/pandora_file.*, ssh/*, ssh/libssh2/*,
	modules/pandora_module_service.*, modules/pandora_module_proc.*: Added
	to repository.

	* pandora_windows_service.cc, pandora_windows_service.h: getXMLHeader
	renamed to getXmlHeader	and modified its behavior. Updated to the
	Pandora XML specification. Add SSH and XML generation
	functionallity.

	* modules/pandora_module_exec.cc: Added the execution to a job to
	prevent zombies process. Update the execution command.

	* modules/pandora_module_factory.cc: Added Pandora_Module_Proc and
	Pandora_Module_Service. Added the interval parameter.
	
	* modules/pandora_module_list.cc: Added support to Pandora_Module_Proc
	and Pandora_Module_Service.
	
	* modules/pandora_module.h: Added new types of modules. Added
	execution times and module description to the Pandora_Module class.
	Added support to Pandora_Module_Proc and Pandora_Module_Service. Added
	getXml, setInterval and setDescription functions.

	* pandora.h: Commentary fixed.

	* Changelog: Renamed to ChangeLog
	
2006-06-20 Esteban Sanchez

	* Initial import.
